cordova.define("gz.aas.admob.CalcAdmob", function(require, exports, module) { 

var argscheck = require('cordova/argscheck'),
    channel = require('cordova/channel'),
    utils = require('cordova/utils'),
    exec = require('cordova/exec'),
    cordova = require('cordova');

// channel.createSticky('onCordovaInfoReady');
// Tell cordova channel to wait on the CordovaInfoReady event
// channel.waitForInitialization('onCordovaInfoReady');

/**
 * This represents the mobile device, and provides properties for inspecting the model, version, UUID of the
 * phone, etc.
 * @constructor
 */
function CalcAdmob() {

    var me = this;

}

/**
 * Get Test Name for CalcFacade
 *
 * @param {Function} successCallback The function to call when the heading data is available
 * @param {Function} errorCallback The function to call when there is an error getting the heading data. (OPTIONAL)
 */
CalcAdmob.prototype.getTestName = function(successCallback, errorCallback) {
    // argscheck.checkArgs('fF', 'BZCalendar.getTestName', arguments);
    exec(successCallback, errorCallback, "CalcAdmob", "getTestName", []);
};

CalcAdmob.prototype.showFullPageAd = function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, "CalcAdmob", "showFullPageAd", []);
};

CalcAdmob.prototype.loadFullPageAd = function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, "CalcAdmob", "loadFullPageAd", []);
};

module.exports = new CalcAdmob();

});
