cordova.define("gz.aas.calcfacade.CalcFacade", function(require, exports, module) { 

var argscheck = require('cordova/argscheck'),
    channel = require('cordova/channel'),
    utils = require('cordova/utils'),
    exec = require('cordova/exec'),
    cordova = require('cordova');

// channel.createSticky('onCordovaInfoReady');
// Tell cordova channel to wait on the CordovaInfoReady event
// channel.waitForInitialization('onCordovaInfoReady');

/**
 * This represents the mobile device, and provides properties for inspecting the model, version, UUID of the
 * phone, etc.
 * @constructor
 */
function CalcFacade() {

    var me = this;
}

/**
 * Get Test Name for CalcFacade
 *
 * @param {Function} successCallback The function to call when the heading data is available
 * @param {Function} errorCallback The function to call when there is an error getting the heading data. (OPTIONAL)
 */
CalcFacade.prototype.getTestName = function(successCallback, errorCallback) {
    // argscheck.checkArgs('fF', 'BZCalendar.getTestName', arguments);
    exec(successCallback, errorCallback, "CalcFacade", "getTestName", []);
};

// add testing calendar, call function of C++ lib, Jonathan Yang, 20150929
CalcFacade.prototype.getCalc8w = function(successCallback, errorCallback) {
    // argscheck.checkArgs('fF', 'BZCalendar.getTestName', arguments);
    exec(successCallback, errorCallback, "CalcFacade", "getCalc8w", []);
};

//add testing calendar, call function of C++ lib, Jonathan Yang, 20151027
CalcFacade.prototype.getAdStr = function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, "CalcFacade", "getAdStr", []);
};

//call the get6renResult, Jonathan Yang, 20151224
CalcFacade.prototype.get6renResult = function(str_json, successCallback, errorCallback) {
    // argscheck.checkArgs('fF', 'BZCalendar.getTestName', arguments);
    exec(successCallback, errorCallback, "CalcFacade", "get6renResult", [str_json]);
};

//call the getXNResult, Jonathan Yang, 20160814
CalcFacade.prototype.get6renSXN = function(str_json, successCallback, errorCallback) {
    exec(successCallback, errorCallback, "CalcFacade", "getXNResult", [str_json]);
};

//call the get6renGongInfo, Jonathan Yang, 20160814
CalcFacade.prototype.get6renGongInfo = function(str_json, successCallback, errorCallback) {
    exec(successCallback, errorCallback, "CalcFacade", "get6renGongInfo", [str_json]);
};

//call the get6renGongInfo, Jonathan Yang, 20180704
CalcFacade.prototype.getYSTSInfo = function(str_json, successCallback, errorCallback) {
    exec(successCallback, errorCallback, "CalcFacade", "getYSTSInfo", [str_json]);
};

//call the getKTBFInfo, Jonathan Yang, 20180704
CalcFacade.prototype.getKTBFInfo = function(str_json, successCallback, errorCallback) {
    exec(successCallback, errorCallback, "CalcFacade", "getKTBFInfo", [str_json]);
};

module.exports = new CalcFacade();

});
